<template>
  <v-container fluid>
    <v-row>
      <v-col lg="8" offset-lg="2">
        <v-card>
          <v-card-text>
            <v-list two-line>
              <v-list-item-group v-for="(chat, i) in users" :key="i">
                <v-list-item>
                  <v-list-item-avatar>
                    <v-img
                      :alt="`${chat.first_name} avatar`"
                      :src="chat.avatar"
                    ></v-img>
                  </v-list-item-avatar>
                  <v-list-item-content>
                    <v-list-item-title
                      v-text="`${chat.first_name} ${chat.last_name}`"
                    ></v-list-item-title>
                    <v-list-item-subtitle v-text="chat.email">
                    </v-list-item-subtitle>
                  </v-list-item-content>
                </v-list-item>
                <v-divider
                  v-if="i < users.length - 1"
                  :key="`${i}-divider`"
                ></v-divider>
              </v-list-item-group>
            </v-list>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
      <v-spacer></v-spacer>
      <v-btn
          elevation="1"
          @click="magicAction()"
          color="primary"
      >
          Magic!
      </v-btn>
  </v-container>
</template>

<script>
// import Vue from "vue";

export default {
  data() {
    return {
      agree: false,
      text: "Hello World",
      users: [],
    };
  },
  async created() {
    // https://reqres.in/api/users?page=2
    console.log("Created a component");
    let res = await this.axios.get("https://reqres.in/api/users?page=2");
    console.log(res);
    if (res.status == 200) {
      this.users = res.data.data;
    }
  },
  methods: {
    clickMe() {
      alert(this.text);
    },
    async magicAction() {
        let res = await this.axios.get("/api/random");
        console.log(res.data);
        alert(JSON.stringify(res.data));
    }
  },
};
</script>

<style scoped></style>
